from typing import List

import brewman.schemas.attendance_type as schemas

from fastapi import APIRouter, Depends

from ..core.security import get_current_active_user as get_user
from ..models.attendance_type import AttendanceType
from ..schemas.user import UserToken


router = APIRouter()


@router.get("", response_model=List[schemas.AttendanceType])
async def show_list(user: UserToken = Depends(get_user)) -> List[schemas.AttendanceType]:
    list_ = AttendanceType.list()
    attendance_types: List[schemas.AttendanceType] = []
    for item in list_:
        attendance_types.append(schemas.AttendanceType(id=item.id, name=item.name, value=item.value))
    return attendance_types
