import uuid

from decimal import Decimal

from brewman.schemas import to_camel
from pydantic import BaseModel, Field


class Incentive(BaseModel):
    employee_id: uuid.UUID
    name: str
    designation: str
    department: str
    days_worked: Decimal = Field(ge=0, multiple_of=0.5)
    points: Decimal = Field(ge=0, multiple_of=0.01)

    class Config:
        alias_generator = to_camel
