import uuid

from typing import Optional

from pydantic import BaseModel, Field

from . import to_camel


class ProductGroupIn(BaseModel):
    name: str = Field(..., min_length=1)


class ProductGroup(ProductGroupIn):
    id_: uuid.UUID
    is_fixture: bool

    class Config:
        anystr_strip_whitespace = True
        alias_generator = to_camel


class ProductGroupBlank(ProductGroupIn):
    name: str
    is_fixture: bool

    class Config:
        anystr_strip_whitespace = True
        alias_generator = to_camel


class ProductGroupLink(BaseModel):
    id_: uuid.UUID = Field(...)
    name: Optional[str]

    class Config:
        fields = {"id_": "id"}
