import uuid

from decimal import Decimal

from brewman.schemas import to_camel
from pydantic import BaseModel, Field


class ProductSku(BaseModel):
    id_: uuid.UUID = Field(...)
    name: str
    fraction_units: str
    cost_price: Decimal
    sale_price: Decimal
    is_rate_contracted: bool

    class Config:
        alias_generator = to_camel
