import { Account } from './account';
import { CostCentre } from './cost-centre';
import { DbFile } from './db-file';
import { EmployeeBenefit } from './employee-benefit';
import { Incentive } from './incentive';
import { Inventory } from './inventory';
import { Journal } from './journal';
import { User } from './user';

export class Voucher {
  id: string | undefined;
  date: string;
  type: string;
  posted: boolean;
  narration: string;
  incentive?: number;
  vendor?: Account;
  source?: CostCentre;
  destination?: CostCentre;
  journals: Journal[];
  inventories: Inventory[];
  employeeBenefits: EmployeeBenefit[];
  incentives: Incentive[];
  files: DbFile[];
  creationDate: string;
  lastEditDate: string;
  user: User;
  isStarred: boolean;
  poster: string;
  reconcileDate: string;

  public constructor(init?: Partial<Voucher>) {
    this.id = '';
    this.date = '';
    this.type = '';
    this.posted = false;
    this.narration = '';
    this.journals = [];
    this.inventories = [];
    this.employeeBenefits = [];
    this.incentives = [];
    this.files = [];
    this.creationDate = '';
    this.lastEditDate = '';
    this.user = new User();
    this.isStarred = false;
    this.poster = '';
    this.reconcileDate = '';
    Object.assign(this, init);
  }
}
