import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { ProfitLossResolver } from './profit-loss-resolver.service';
import { ProfitLossComponent } from './profit-loss.component';

const profitLossRoutes: Routes = [
  {
    path: '',
    component: ProfitLossComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Profit & Loss',
    },
    resolve: {
      info: ProfitLossResolver,
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(profitLossRoutes)],
  exports: [RouterModule],
  providers: [ProfitLossResolver],
})
export class ProfitLossRoutingModule {}
