import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { SettingsService } from './settings.service';

@Injectable({
  providedIn: 'root',
})
export class MaintenanceResolver implements Resolve<{ enabled: boolean; user: string }> {
  constructor(private ser: SettingsService) {}

  resolve(): Observable<{ enabled: boolean; user: string }> {
    return this.ser.getMaintenance();
  }
}
