import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/internal/Observable';
import { catchError } from 'rxjs/operators';

import { AccountType } from '../core/account-type';
import { ErrorLoggerService } from '../core/error-logger.service';

const url = '/api/voucher-types';
const serviceName = 'VoucherTypeService';

@Injectable({
  providedIn: 'root',
})
export class VoucherTypeService {
  constructor(private http: HttpClient, private log: ErrorLoggerService) {}

  list(): Observable<AccountType[]> {
    return this.http
      .get<AccountType[]>(url)
      .pipe(catchError(this.log.handleError(serviceName, 'list'))) as Observable<AccountType[]>;
  }
}
